Name:          reiserfs-utils
Version:       3.6.27
Release:       5
Summary:       Tools for creating, repairing, and debugging ReiserFS filesystems
URL:           http://ftp.kernel.org/pub/linux/utils/fs/reiserfs/
Source0:       https://www.kernel.org/pub/linux/kernel/people/jeffm/reiserfsprogs/v%{version}/reiserfsprogs-%{version}.tar.xz
Patch0001:     parse_time_build_fix.patch
License:       GPLv2 with exceptions
BuildRequires: e2fsprogs-devel libuuid-devel libacl-devel gcc chrpath

%description
The reiserfs-utils package contains a number of utilities for creating, checking, modifying,
and correcting any inconsistencies in ReiserFS filesystems, including reiserfsck (used to
repair filesystem inconsistencies), mkreiserfs (used to initialize a partition to contain an empty
ReiserFS filesystem), debugreiserfs (used to examine the internal structure of a filesystem,
to manually repair a corrupted filesystem, or to create test cases for reiserfsck), and some other
ReiserFS filesystem utilities.

You should install the reiserfs-utils package if you want to use ReiserFS on any of your partitions.

%package help
Summary: Help package for reiserfs-utils

%description help
Help package for reiserfs-utils

%prep
%autosetup -n reiserfsprogs-%{version} -p1


%build
%configure
%make_build

%install
%make_install
mv -f $RPM_BUILD_ROOT/usr/sbin $RPM_BUILD_ROOT/sbin
install -d $RPM_BUILD_ROOT%{_mandir}/man8
install -m644 debugreiserfs/debugreiserfs.8 $RPM_BUILD_ROOT%{_mandir}/man8
install -m644 fsck/reiserfsck.8 $RPM_BUILD_ROOT%{_mandir}/man8
install -m644 mkreiserfs/mkreiserfs.8 $RPM_BUILD_ROOT%{_mandir}/man8
( cd $RPM_BUILD_ROOT/sbin; ln -fs mkreiserfs mkfs.reiserfs; ln -fs reiserfsck fsck.reiserfs )
chrpath -d $RPM_BUILD_ROOT/sbin/*reiserfs*

%files
%doc ChangeLog CREDITS README COPYING
/sbin/*reiserfs*
%{_includedir}/reiserfs/
%{_libdir}/libreiserfscore*
%{_libdir}/pkgconfig/reiserfscore.pc

%files help
%{_mandir}/*/*

%changelog
* Mon Nov 21 2022 xu_ping <xuping33@h-partners.com> - 3.6.27-5
- Modify invalid source

* Thu Sep 09 2021 sunguoshuai <sunguoshuai@huawei.com> - 3.6.27-4
- Del rpath for binaries in /sbin

* Mon May 31 2021 huanghaitao <huanghaitao8@huawei.com> - 3.6.27-3
- Completing build dependencies to fix gcc compiler missing error

* Mon Feb 24 2020 chenli <chenli147@huawei.com> - 3.6.27-2
- Init Package
